package com.siginfo.vo;

import com.fasterxml.jackson.annotation.JsonProperty;

public class SignalInfoVO {
	@JsonProperty("region_cd")
	private String REGION_CD;
	
	@JsonProperty("region_id")
	private String REGION_ID;
	
	@JsonProperty("region_nm")
	private String REGION_NM;
	
	@JsonProperty("int_no")
	private Long INT_NO;

	@JsonProperty("int_nm")
	private String INT_NM;
	
	@JsonProperty("x_coord")
	private double X_COORD;
	
	@JsonProperty("y_coord")
	private double Y_COORD;
	
	@JsonProperty("a_ring_1_phase_conf_cd")
	private String A_RING_1_PHASE_CONF_CD;

	@JsonProperty("a_ring_2_phase_conf_cd")
	private String A_RING_2_PHASE_CONF_CD;

	@JsonProperty("a_ring_3_phase_conf_cd")
	private String A_RING_3_PHASE_CONF_CD;

	@JsonProperty("a_ring_4_phase_conf_cd")
	private String A_RING_4_PHASE_CONF_CD;

	@JsonProperty("a_ring_5_phase_conf_cd")
	private String A_RING_5_PHASE_CONF_CD;

	@JsonProperty("a_ring_6_phase_conf_cd")
	private String A_RING_6_PHASE_CONF_CD;

	@JsonProperty("a_ring_7_phase_conf_cd")
	private String A_RING_7_PHASE_CONF_CD;

	@JsonProperty("a_ring_8_phase_conf_cd")
	private String A_RING_8_PHASE_CONF_CD;

	@JsonProperty("b_ring_1_phase_conf_cd")
	private String B_RING_1_PHASE_CONF_CD;

	@JsonProperty("b_ring_2_phase_conf_cd")
	private String B_RING_2_PHASE_CONF_CD;

	@JsonProperty("b_ring_3_phase_conf_cd")
	private String B_RING_3_PHASE_CONF_CD;

	@JsonProperty("b_ring_4_phase_conf_cd")
	private String B_RING_4_PHASE_CONF_CD;
	
	@JsonProperty("b_ring_5_phase_conf_cd")
	private String B_RING_5_PHASE_CONF_CD;

	@JsonProperty("b_ring_6_phase_conf_cd")
	private String B_RING_6_PHASE_CONF_CD;

	@JsonProperty("b_ring_7_phase_conf_cd")
	private String B_RING_7_PHASE_CONF_CD;
	
	@JsonProperty("b_ring_8_phase_conf_cd")
	private String B_RING_8_PHASE_CONF_CD;
	
	@JsonProperty("collct_dtime")
	private String COLLCT_DTIME;
	
	@JsonProperty("comm_on_off_flag")
	private String COMM_ON_OFF_FLAG;
	
	@JsonProperty("contrlr_oper_mode_cd")
	private String CONTRLR_OPER_MODE_CD;

	@JsonProperty("a_ring_phase_val")
	private int A_RING_PHASE_VAL;
	
	@JsonProperty("b_ring_phase_val")
	private int B_RING_PHASE_VAL;
	
	@JsonProperty("siglight_turnoff_flag")
	private String SIGLIGHT_TURNOFF_FLAG;
	
	@JsonProperty("siglight_blink_flag")
	private String SIGLIGHT_BLINK_FLAG;
	
	@JsonProperty("contrlr_manual_flag")
	private String CONTRLR_MANUAL_FLAG;

	@JsonProperty("contrlr_tmdiff_contrl_flag")
	private String CONTRLR_TMDIFF_CONTRL_FLAG;

	@JsonProperty("int_sig_cycle_cnt")
	private int INT_SIG_CYCLE_CNT;

	@JsonProperty("int_sig_cycle_len")
	private int INT_SIG_CYCLE_LEN;
	
	@JsonProperty("map_no")
	private int MAP_NO;

	@JsonProperty("group_no")
	private int GROUP_NO;
	
	@JsonProperty("main_intno")
	private int MAIN_INTNO;
	
	@JsonProperty("sigungu_cd")
	private String SIGUNGU_CD;
	
	@JsonProperty("int_lctype")
	private int INT_LCTYPE;
	
	@JsonProperty("int_lamptype")
	private int INT_LAMPTYPE;
	
	@JsonProperty("int_mainphase")
	private int INT_MAINPHASE;
	
	@JsonProperty("pc_contrl_flag")
	private String PPC_CONTRL_FLAG;
	
	@JsonProperty("simul_flag")
	private String SIMUL_FLAG;
	
	@JsonProperty("comm_state")
	private int COMM_STATE;
	
	@JsonProperty("network_type")
	private int NETWORK_TYPE;
	private String MODEM_IP;
	
	public String getREGION_CD() {
		return REGION_CD;
	}
	public void setREGION_CD(String rEGION_CD) {
		REGION_CD = rEGION_CD;
	}
	public String getREGION_ID() {
		return REGION_ID;
	}
	public void setREGION_ID(String rEGION_ID) {
		REGION_ID = rEGION_ID;
	}
	public String getREGION_NM() {
		return REGION_NM;
	}
	public void setREGION_NM(String rEGION_NM) {
		REGION_NM = rEGION_NM;
	}
	public Long getINT_NO() {
		return INT_NO;
	}
	public void setINT_NO(Long iNT_NO) {
		INT_NO = iNT_NO;
	}
	public String getINT_NM() {
		return INT_NM;
	}
	public void setINT_NM(String iNT_NM) {
		INT_NM = iNT_NM;
	}
	public double getX_COORD() {
		return X_COORD;
	}
	public void setX_COORD(double x_COORD) {
		X_COORD = x_COORD;
	}
	public double getY_COORD() {
		return Y_COORD;
	}
	public void setY_COORD(double y_COORD) {
		Y_COORD = y_COORD;
	}
	public String getA_RING_1_PHASE_CONF_CD() {
		return A_RING_1_PHASE_CONF_CD;
	}
	public void setA_RING_1_PHASE_CONF_CD(String a_RING_1_PHASE_CONF_CD) {
		A_RING_1_PHASE_CONF_CD = a_RING_1_PHASE_CONF_CD;
	}
	public String getA_RING_2_PHASE_CONF_CD() {
		return A_RING_2_PHASE_CONF_CD;
	}
	public void setA_RING_2_PHASE_CONF_CD(String a_RING_2_PHASE_CONF_CD) {
		A_RING_2_PHASE_CONF_CD = a_RING_2_PHASE_CONF_CD;
	}
	public String getA_RING_3_PHASE_CONF_CD() {
		return A_RING_3_PHASE_CONF_CD;
	}
	public void setA_RING_3_PHASE_CONF_CD(String a_RING_3_PHASE_CONF_CD) {
		A_RING_3_PHASE_CONF_CD = a_RING_3_PHASE_CONF_CD;
	}
	public String getA_RING_4_PHASE_CONF_CD() {
		return A_RING_4_PHASE_CONF_CD;
	}
	public void setA_RING_4_PHASE_CONF_CD(String a_RING_4_PHASE_CONF_CD) {
		A_RING_4_PHASE_CONF_CD = a_RING_4_PHASE_CONF_CD;
	}
	public String getA_RING_5_PHASE_CONF_CD() {
		return A_RING_5_PHASE_CONF_CD;
	}
	public void setA_RING_5_PHASE_CONF_CD(String a_RING_5_PHASE_CONF_CD) {
		A_RING_5_PHASE_CONF_CD = a_RING_5_PHASE_CONF_CD;
	}
	public String getA_RING_6_PHASE_CONF_CD() {
		return A_RING_6_PHASE_CONF_CD;
	}
	public void setA_RING_6_PHASE_CONF_CD(String a_RING_6_PHASE_CONF_CD) {
		A_RING_6_PHASE_CONF_CD = a_RING_6_PHASE_CONF_CD;
	}
	public String getA_RING_7_PHASE_CONF_CD() {
		return A_RING_7_PHASE_CONF_CD;
	}
	public void setA_RING_7_PHASE_CONF_CD(String a_RING_7_PHASE_CONF_CD) {
		A_RING_7_PHASE_CONF_CD = a_RING_7_PHASE_CONF_CD;
	}
	public String getA_RING_8_PHASE_CONF_CD() {
		return A_RING_8_PHASE_CONF_CD;
	}
	public void setA_RING_8_PHASE_CONF_CD(String a_RING_8_PHASE_CONF_CD) {
		A_RING_8_PHASE_CONF_CD = a_RING_8_PHASE_CONF_CD;
	}
	public String getB_RING_1_PHASE_CONF_CD() {
		return B_RING_1_PHASE_CONF_CD;
	}
	public void setB_RING_1_PHASE_CONF_CD(String b_RING_1_PHASE_CONF_CD) {
		B_RING_1_PHASE_CONF_CD = b_RING_1_PHASE_CONF_CD;
	}
	public String getB_RING_2_PHASE_CONF_CD() {
		return B_RING_2_PHASE_CONF_CD;
	}
	public void setB_RING_2_PHASE_CONF_CD(String b_RING_2_PHASE_CONF_CD) {
		B_RING_2_PHASE_CONF_CD = b_RING_2_PHASE_CONF_CD;
	}
	public String getB_RING_3_PHASE_CONF_CD() {
		return B_RING_3_PHASE_CONF_CD;
	}
	public void setB_RING_3_PHASE_CONF_CD(String b_RING_3_PHASE_CONF_CD) {
		B_RING_3_PHASE_CONF_CD = b_RING_3_PHASE_CONF_CD;
	}
	public String getB_RING_4_PHASE_CONF_CD() {
		return B_RING_4_PHASE_CONF_CD;
	}
	public void setB_RING_4_PHASE_CONF_CD(String b_RING_4_PHASE_CONF_CD) {
		B_RING_4_PHASE_CONF_CD = b_RING_4_PHASE_CONF_CD;
	}
	public String getB_RING_5_PHASE_CONF_CD() {
		return B_RING_5_PHASE_CONF_CD;
	}
	public void setB_RING_5_PHASE_CONF_CD(String b_RING_5_PHASE_CONF_CD) {
		B_RING_5_PHASE_CONF_CD = b_RING_5_PHASE_CONF_CD;
	}
	public String getB_RING_6_PHASE_CONF_CD() {
		return B_RING_6_PHASE_CONF_CD;
	}
	public void setB_RING_6_PHASE_CONF_CD(String b_RING_6_PHASE_CONF_CD) {
		B_RING_6_PHASE_CONF_CD = b_RING_6_PHASE_CONF_CD;
	}
	public String getB_RING_7_PHASE_CONF_CD() {
		return B_RING_7_PHASE_CONF_CD;
	}
	public void setB_RING_7_PHASE_CONF_CD(String b_RING_7_PHASE_CONF_CD) {
		B_RING_7_PHASE_CONF_CD = b_RING_7_PHASE_CONF_CD;
	}
	public String getB_RING_8_PHASE_CONF_CD() {
		return B_RING_8_PHASE_CONF_CD;
	}
	public void setB_RING_8_PHASE_CONF_CD(String b_RING_8_PHASE_CONF_CD) {
		B_RING_8_PHASE_CONF_CD = b_RING_8_PHASE_CONF_CD;
	}
	public String getCOLLCT_DTIME() {
		return COLLCT_DTIME;
	}
	public void setCOLLCT_DTIME(String cOLLCT_DTIME) {
		COLLCT_DTIME = cOLLCT_DTIME;
	}
	public String getCOMM_ON_OFF_FLAG() {
		return COMM_ON_OFF_FLAG;
	}
	public void setCOMM_ON_OFF_FLAG(String cOMM_ON_OFF_FLAG) {
		COMM_ON_OFF_FLAG = cOMM_ON_OFF_FLAG;
	}
	public String getCONTRLR_OPER_MODE_CD() {
		return CONTRLR_OPER_MODE_CD;
	}
	public void setCONTRLR_OPER_MODE_CD(String cONTRLR_OPER_MODE_CD) {
		CONTRLR_OPER_MODE_CD = cONTRLR_OPER_MODE_CD;
	}
	public int getA_RING_PHASE_VAL() {
		return A_RING_PHASE_VAL;
	}
	public void setA_RING_PHASE_VAL(int a_RING_PHASE_VAL) {
		A_RING_PHASE_VAL = a_RING_PHASE_VAL;
	}
	public int getB_RING_PHASE_VAL() {
		return B_RING_PHASE_VAL;
	}
	public void setB_RING_PHASE_VAL(int b_RING_PHASE_VAL) {
		B_RING_PHASE_VAL = b_RING_PHASE_VAL;
	}
	public String getSIGLIGHT_TURNOFF_FLAG() {
		return SIGLIGHT_TURNOFF_FLAG;
	}
	public void setSIGLIGHT_TURNOFF_FLAG(String sIGLIGHT_TURNOFF_FLAG) {
		SIGLIGHT_TURNOFF_FLAG = sIGLIGHT_TURNOFF_FLAG;
	}
	public String getSIGLIGHT_BLINK_FLAG() {
		return SIGLIGHT_BLINK_FLAG;
	}
	public void setSIGLIGHT_BLINK_FLAG(String sIGLIGHT_BLINK_FLAG) {
		SIGLIGHT_BLINK_FLAG = sIGLIGHT_BLINK_FLAG;
	}
	public String getCONTRLR_MANUAL_FLAG() {
		return CONTRLR_MANUAL_FLAG;
	}
	public void setCONTRLR_MANUAL_FLAG(String cONTRLR_MANUAL_FLAG) {
		CONTRLR_MANUAL_FLAG = cONTRLR_MANUAL_FLAG;
	}
	public String getCONTRLR_TMDIFF_CONTRL_FLAG() {
		return CONTRLR_TMDIFF_CONTRL_FLAG;
	}
	public void setCONTRLR_TMDIFF_CONTRL_FLAG(String cONTRLR_TMDIFF_CONTRL_FLAG) {
		CONTRLR_TMDIFF_CONTRL_FLAG = cONTRLR_TMDIFF_CONTRL_FLAG;
	}
	public int getINT_SIG_CYCLE_CNT() {
		return INT_SIG_CYCLE_CNT;
	}
	public void setINT_SIG_CYCLE_CNT(int iNT_SIG_CYCLE_CNT) {
		INT_SIG_CYCLE_CNT = iNT_SIG_CYCLE_CNT;
	}
	public int getINT_SIG_CYCLE_LEN() {
		return INT_SIG_CYCLE_LEN;
	}
	public void setINT_SIG_CYCLE_LEN(int iNT_SIG_CYCLE_LEN) {
		INT_SIG_CYCLE_LEN = iNT_SIG_CYCLE_LEN;
	}
	public int getMAP_NO() {
		return MAP_NO;
	}
	public void setMAP_NO(int mAP_NO) {
		MAP_NO = mAP_NO;
	}
	public int getGROUP_NO() {
		return GROUP_NO;
	}
	public void setGROUP_NO(int gROUP_NO) {
		GROUP_NO = gROUP_NO;
	}
	public int getMAIN_INTNO() {
		return MAIN_INTNO;
	}
	public void setMAIN_INTNO(int mAIN_INTNO) {
		MAIN_INTNO = mAIN_INTNO;
	}
	public String getSIGUNGU_CD() {
		return SIGUNGU_CD;
	}
	public void setSIGUNGU_CD(String sIGUNGU_CD) {
		SIGUNGU_CD = sIGUNGU_CD;
	}
	public int getINT_LCTYPE() {
		return INT_LCTYPE;
	}
	public void setINT_LCTYPE(int iNT_LCTYPE) {
		INT_LCTYPE = iNT_LCTYPE;
	}
	public int getINT_LAMPTYPE() {
		return INT_LAMPTYPE;
	}
	public void setINT_LAMPTYPE(int iNT_LAMPTYPE) {
		INT_LAMPTYPE = iNT_LAMPTYPE;
	}
	public int getINT_MAINPHASE() {
		return INT_MAINPHASE;
	}
	public void setINT_MAINPHASE(int iNT_MAINPHASE) {
		INT_MAINPHASE = iNT_MAINPHASE;
	}
	public String getPPC_CONTRL_FLAG() {
		return PPC_CONTRL_FLAG;
	}
	public void setPPC_CONTRL_FLAG(String pPC_CONTRL_FLAG) {
		PPC_CONTRL_FLAG = pPC_CONTRL_FLAG;
	}
	public String getSIMUL_FLAG() {
		return SIMUL_FLAG;
	}
	public void setSIMUL_FLAG(String sIMUL_FLAG) {
		SIMUL_FLAG = sIMUL_FLAG;
	}
	public int getCOMM_STATE() {
		return COMM_STATE;
	}
	public void setCOMM_STATE(int cOMM_STATE) {
		COMM_STATE = cOMM_STATE;
	}
	public int getNETWORK_TYPE() {
		return NETWORK_TYPE;
	}
	public void setNETWORK_TYPE(int nETWORK_TYPE) {
		NETWORK_TYPE = nETWORK_TYPE;
	}
	public String getMODEM_IP() {
		return MODEM_IP;
	}
	public void setMODEM_IP(String mODEM_IP) {
		MODEM_IP = mODEM_IP;
	}

}
